UnderHood_Buffs = UnderHood:NewModule( "Buffs", UnderHood.MultiFrameModulePrototype, "AceConsole-3.0", "AceEvent-3.0" );

UnderHood_Buffs.configTableName = "frames"
UnderHood_Buffs.configEntryPrefix = "frame"
UnderHood_Buffs.configTemplate = {
	frames = {
		["ToTDebuffs"] = {
			["strata"] = "LOW",
			["columns"] = 11,
			["layout"] = "LTU",
			["scale"] = 1,
			["rows"] = 2,
			["tooltips"] = "ooc",
			["unit"] = "targettarget",
			["y"] = -98,
			["x"] = 7,
			["name"] = "ToTDebuffs",
			["vSpace"] = 1,
			["hSpace"] = 1,
			["level"] = 6,
			["type"] = "debuffs",
			["size"] = 16,
		},
		["TargetDebuffs"] = {
			["strata"] = "LOW",
			["columns"] = 8,
			["hSpace"] = 1,
			["scale"] = 1,
			["rows"] = 2,
			["tooltips"] = "always",
			["unit"] = "target",
			["y"] = -190,
			["x"] = 200,
			["name"] = "TargetDebuffs",
			["vSpace"] = 1,
			["type"] = "debuffs",
			["level"] = 6,
			["layout"] = "RTD",
			["size"] = 20,
		},
		["TargetBuffs"] = {
			["strata"] = "LOW",
			["columns"] = 8,
			["hSpace"] = 1,
			["scale"] = 1,
			["rows"] = 2,
			["tooltips"] = "always",
			["unit"] = "target",
			["y"] = -190,
			["x"] = -200,
			["name"] = "TargetBuffs",
			["vSpace"] = 1,
			["type"] = "buffs",
			["level"] = 6,
			["layout"] = "LTD",
			["size"] = 20,
		},
	},
}

function UnderHood_Buffs:OnInitializeFrameConfiguration( config )
	config.unit = "player"
	config.type = "buffs"
	config.tooltips = "ooc"

	config.x = 0
    config.y = 0

	config.rows = 2
	config.columns = 8
	config.size = 20
	config.hSpace = 4
	config.vSpace = 4

	config.layout = "LTD"
end

local canDispel
local _, playerClass = UnitClass( "player" )

if playerClass == "PRIEST" then
	canDispel = { ["Magic"] = true, ["Disease"] = true, }
elseif playerClass == "SHAMAN" then
	canDispel = { ["Poison"] = true, ["Disease"] = true, }
elseif playerClass == "PALADIN" then
	canDispel = { ["Magic"] = true, ["Poison"] = true, ["Disease"] = true, }
elseif playerClass == "MAGE" then
	canDispel = { ["Curse"] = true, }
elseif playerClass == "DRUID" then
	canDispel = { ["Curse"] = true, ["Poison"] = true, }
elseif playerClass == "WARLOCK" then
	canDispel = { ["Magic"] = true, }
elseif playerClass == "HUNTER" then
	canDispel = { ["Magic"] = true, }
end

UnderHood_Buffs.DispelableDebuffs = canDispel
